Subject: Re: [GROW] [Idr] I-D Action: draft-ietf-idr-deprecate-as-set-confed-set-03.txt

From: "Sriram, Kotikalapudi (Fed)" <[email-masked]>
Date: Wed, 11 Mar 2020 16:28:08 +0000

Some notes & changes since version -02:

1. Section 5 (Operational Considerations) is new. 
      * IDR and GROW WG feedback especially welcome on this section.

2. The revisions take into consideration the feedback received at IETF 106 (Singapore). 

3. The authors are still discussing about BCP vs. standards track.
(The draft currently says it is standards track.) 

Thank you.

Sriram 

--------------------------------------------------------------------------------------
A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Inter-Domain Routing WG of the IETF.

        Title           : Deprecation of AS_SET and AS_CONFED_SET in BGP
        Authors         : Warren Kumari
                          Kotikalapudi Sriram
                          Lilia Hannachi
                          Jeffrey Haas
	Filename        : draft-ietf-idr-deprecate-as-set-confed-set-03.txt
	Pages           : 7
	Date            : 2020-03-09

Abstract:
   BCP 172 (i.e., RFC 6472) recommends not using AS_SET and
   AS_CONFED_SET in the Border Gateway Protocol.  This document advances
   this recommendation to a standards requirement in BGP; it proscribes
   the use of the AS_SET and AS_CONFED_SET types of path segments in the
   AS_PATH.  This is done to simplify the design and implementation of
   BGP and to make the semantics of the originator of a route clearer.
   This will also simplify the design, implementation, and deployment of
   various BGP security mechanisms.  This document (if approved) updates
   RFC 4271 and RFC 5065 by eliminating AS_SET and AS_CONFED_SET types,
   and obsoletes RFC 6472.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-idr-deprecate-as-set-confed-set/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-idr-deprecate-as-set-confed-set-03
https://datatracker.ietf.org/doc/html/draft-ietf-idr-deprecate-as-set-confed-set-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-deprecate-as-set-confed-set-03